<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::decibel_scale&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structunits_1_1decibel__scale-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">units::decibel_scale&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> scale for representing decibel values.  
 <a href="structunits_1_1decibel__scale.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="units_8h_source.html">units.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac2a06e95563dd0996a02bab8505a8b23"><td class="memItemLeft" align="right" valign="top"><a id="ac2a06e95563dd0996a02bab8505a8b23"></a>
constexpr&#160;</td><td class="memItemRight" valign="bottom"><b>decibel_scale</b> (const <a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a> &amp;)=default</td></tr>
<tr class="separator:ac2a06e95563dd0996a02bab8505a8b23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03872a962e3157cc9ce19f159ff7f54f"><td class="memItemLeft" align="right" valign="top"><a id="a03872a962e3157cc9ce19f159ff7f54f"></a>
<a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="structunits_1_1decibel__scale.html">decibel_scale</a> &amp;)=default</td></tr>
<tr class="separator:a03872a962e3157cc9ce19f159ff7f54f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bd135d92ca8c53245bc07c17e68a2c9"><td class="memItemLeft" align="right" valign="top"><a id="a4bd135d92ca8c53245bc07c17e68a2c9"></a>
constexpr&#160;</td><td class="memItemRight" valign="bottom"><b>decibel_scale</b> (const T value) noexcept</td></tr>
<tr class="separator:a4bd135d92ca8c53245bc07c17e68a2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58a4d36b2daeb648c88c47f8533b34e0"><td class="memTemplParams" colspan="2"><a id="a58a4d36b2daeb648c88c47f8533b34e0"></a>
template&lt;class... Args&gt; </td></tr>
<tr class="memitem:a58a4d36b2daeb648c88c47f8533b34e0"><td class="memTemplItemLeft" align="right" valign="top">constexpr&#160;</td><td class="memTemplItemRight" valign="bottom"><b>decibel_scale</b> (const T value, std::true_type, Args &amp;&amp;...) noexcept</td></tr>
<tr class="separator:a58a4d36b2daeb648c88c47f8533b34e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7aa77771e095bbf4bf01f3dc834ebcd"><td class="memItemLeft" align="right" valign="top"><a id="aa7aa77771e095bbf4bf01f3dc834ebcd"></a>
constexpr T&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> () const noexcept</td></tr>
<tr class="separator:aa7aa77771e095bbf4bf01f3dc834ebcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9716193561ed712aeafdd6b86e376936"><td class="memItemLeft" align="right" valign="top"><a id="a9716193561ed712aeafdd6b86e376936"></a>
T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1decibel__scale.html#a9716193561ed712aeafdd6b86e376936">m_value</a></td></tr>
<tr class="memdesc:a9716193561ed712aeafdd6b86e376936"><td class="mdescLeft">&#160;</td><td class="mdescRight">linearized value <br  />
 <br /></td></tr>
<tr class="separator:a9716193561ed712aeafdd6b86e376936"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br />
struct units::decibel_scale&lt; T &gt;</h3>

<p><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> scale for representing decibel values. </p>
<p>internally stores linearized values. <code>operator()</code> returns the value in dB. </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>underlying storage type </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> </dd></dl>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/mnt/e/workspace/units-master/include/<a class="el" href="units_8h_source.html">units.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:53 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
